Passer au contenu principal
POST
/
crm
/
extensions
/
calling
/
2026-03
/
{appId}
/
settings
Create new calling extension settings for a specific app.
curl --request POST \
  --url https://api.hubapi.com/crm/extensions/calling/2026-03/{appId}/settings \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "height": 123,
  "isReady": true,
  "name": "<string>",
  "supportsCustomObjects": true,
  "supportsInboundCalling": true,
  "url": "<string>",
  "usesCallingWindow": true,
  "usesRemote": true,
  "width": 123
}
'
{
  "createdAt": "2023-11-07T05:31:56Z",
  "height": 123,
  "isReady": true,
  "name": "<string>",
  "supportsCustomObjects": true,
  "supportsInboundCalling": true,
  "updatedAt": "2023-11-07T05:31:56Z",
  "url": "<string>",
  "usesCallingWindow": true,
  "usesRemote": true,
  "width": 123
}

Supported products

Autorisations

Authorization
string
header
requis

The access token received from the authorization server in the OAuth 2.0 flow.

Paramètres de chemin

appId
integer<int32>
requis

Corps

application/json
height
integer<int32>
requis

Specifies the height of the calling extension interface.

isReady
boolean
requis

Indicates if the calling extension is ready for use.

name
string
requis

The name of the calling extension.

supportsCustomObjects
boolean
requis

Indicates if the calling extension supports custom objects.

supportsInboundCalling
boolean
requis

Indicates if the calling extension supports inbound calling.

url
string
requis

The URL associated with the calling extension.

usesCallingWindow
boolean
requis

Indicates if the calling extension uses a separate calling window.

usesRemote
boolean
requis

Indicates if the calling extension uses remote services.

width
integer<int32>
requis

Specifies the width of the calling extension interface.

Réponse

successful operation

createdAt
string<date-time>
requis

The date and time when the calling extension settings were created.

height
integer<int32>
requis

The height of the calling extension interface.

isReady
boolean
requis

Specifies whether the calling extension settings are ready for use.

name
string
requis

The name of the calling extension.

supportsCustomObjects
boolean
requis

Indicates if the calling extension supports custom objects.

supportsInboundCalling
boolean
requis

Indicates if the calling extension supports inbound calling.

updatedAt
string<date-time>
requis

The date and time when the calling extension settings were last updated.

url
string
requis

The URL associated with the calling extension.

usesCallingWindow
boolean
requis

Specifies if the calling extension uses a dedicated calling window.

usesRemote
boolean
requis

Indicates if the calling extension uses a remote service.

width
integer<int32>
requis

The width of the calling extension interface.

Last modified on April 13, 2026